# Interface FragmentIterator

All Superinterfaces:
  `Fragment`

All Known Subinterfaces:
  `Read, ReadIterator`

public interface FragmentIterator extends Fragment
Iterates across a list of Fragments

## Method Summary

Modifier and Type
Method
Description
`boolean`
`nextFragment()`
Advance to next Fragment

### Methods inherited from interface Fragment

`getFragmentBases, getFragmentBases, getFragmentBases, getFragmentId, getFragmentQualities, getFragmentQualities, getFragmentQualities, isAligned, isPaired`

## Method Details

### nextFragment

boolean nextFragment() throws ErrorMsg
Advance to next Fragment

Returns:
  false if no more Fragments are available.
Throws:
  `ErrorMsg` - if more Fragments should be available, but could not be accessed.